Skip to main content
GET
/
fastedge
/
v1
/
admin
/
groups
List groups
curl --request GET \
  --url https://api.gcore.com/fastedge/v1/admin/groups \
  --header 'Authorization: <api-key>'
{
  "groups": [
    {
      "id": 123,
      "name": "<string>",
      "default_flag": false,
      "descr": "Video streaming customers",
      "client_count": 123,
      "template_count": 123
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

template__incl
integer<int64>

Filter by template ID (shows groups that include this template)

template__excl
integer<int64>

Filter by template ID (shows groups that exclude this template)

client__incl
integer<int64>

Filter by client ID (shows groups that include this client)

client__excl
integer<int64>

Filter by client ID (shows groups that exclude this client)

name
string

Filter by group name (case-insensitive partial match)

limit
integer

Maximum number of results to return (default 10)

offset
integer

Number of results to skip for pagination

Response

200 - application/json

Returns paginated list of client groups

groups
object[]
required
count
integer

Total number of groups